#ifndef _TestString_h
#define _TestString_h

#include <OString.h>

/*

extern vector<OString> testAgainst;
extern vector<OString> testAccept;
extern ulong           testStringCount;
extern bool            testNormalise;

extern void testStringAllByDecimation(const OString &str);
extern void testStringNoneByDecimation(const OString &str);

*/


typedef enum
{
	STRING_TEST_ALL_BY_DECIMATION,
	STRING_TEST_NONE_BY_DECIMATION,
	STRING_TEST_TYPES
} StringTestType;

class StringTest
{
public:

  StringTest(const StringTestType testType = STRING_TEST_ALL_BY_DECIMATION,const bool histogram = false);

  vector<OString> &criteria();
  vector<OString> &accepted();

  int test(const OString &str);

         ulong &testCount();
  static ulong &testCountTotal();

  void reset();

  vector<StringTest> &moreCriteria();

  void histogram(ostream &os);

private:

  StringTestType _testType;

  vector<OString> _criteria;
  vector<OString> _accepted;

         ulong _testCount;
  static ulong _testCountTotal;

  void addAccepted(const OString &str);

  vector<StringTest> _moreCriteria;

  // Histogram Functionality

  bool          _enableHistogram;
  vector<ulong> _histogram;
};

#endif