//
// OpenGL Solid Modelling
//
// Nigel Stewart (nigels@eisa.net.au)
// RMIT Department of Mechanical and Manufacturing Engineering
// 11th December 1997
//

#ifndef COLOURS_H
#define COLOURS_H

#ifdef WIN32
#include <windows.h>
#endif

#include <GL/gl.h>

extern GLfloat colourWhite[3];
extern GLfloat colourBlack[3];
extern GLfloat colourRed[3];
extern GLfloat colourGreen[3];
extern GLfloat colourBlue[3];
extern GLfloat colourGrey[3];
extern GLfloat colourOrange[3];
extern GLfloat colourYellow[3];
extern GLfloat colourMetallicBlue[3];
extern GLfloat colourOrangeRed[3];
extern GLfloat colourPink[3];

extern GLfloat *colour(const char *name);

#endif
