//
// OpenGL CSG Rendering
//
// Nigel Stewart (nigels@eisa.net.au)
// RMIT Department of Mechanical and Manufacturing Engineering
// 27th December 1998
//
// SCS Algorithm
//

#ifndef SCS_H
#define SCS_H

#include <atypes.h>
#include <csgtree.h>

#include <vector.h>
#include <list.h>

#ifdef WIN32
#include <windows.h>
#endif

#include <GL/gl.h>
#include <GL/glut.h>

#include <iostream.h>

// Subtraction Sequence

vector<Uint> subtractionSequence(const Uint n, Uint k = 0);
void outputSequence(ostream &os,const vector<Uint> &seq);

// Rendering

//void SequencedConvexSubtraction(const CsgProduct &prod);
void SequencedConvexSubtraction(const CsgSumOfProducts &sum,bool copy);

#endif

