#include <zplane.h>

void 
drawZat(GLfloat at)
{
	if (at<0.0F) at = 0.0F;
	if (at>1.0F) at = 1.0F;

	glPushAttrib( GL_ENABLE_BIT );

		glDisable(GL_LIGHTING);

		glMatrixMode(GL_PROJECTION);
		glPushMatrix();
		glLoadIdentity();
		glOrtho(-1.0,1.0,-1.0,1.0,0.0,1.0);

		glMatrixMode(GL_MODELVIEW);
		glPushMatrix();
		glLoadIdentity();
		glTranslatef(0.0F,0.0F,-at);
		glRectf(-1.0F,-1.0F,1.0F,1.0F);
		glPopMatrix();

		glMatrixMode(GL_PROJECTION);
		glPopMatrix();

		glMatrixMode(GL_MODELVIEW);

	glPopAttrib();
}

void 
drawZnear()
{
	drawZat(0.0F);
}

void 
drawZfar()
{
	drawZat(1.0F);
}

