//
//
//

#include <atypes.h>

#include <iostream.h>

#ifdef WIN32
#include <windows.h>
#endif

#include <GL/gl.h>
#include <GL/glut.h>

#include <stdlib.h>

void zBufferVis()
{
    GLuint viewport[4];
    glGetIntegerv(GL_VIEWPORT,(GLint *) viewport);

	Uint x = viewport[0];
	Uint y = viewport[1];
	Uint width = viewport[2];
	Uint height = viewport[3];
	Uint size = width*height;

	GLushort *pixels = new GLushort[size];
		
	glPixelStorei(GL_PACK_ALIGNMENT,sizeof(GLushort));
	glReadPixels(x,y,width,height,GL_DEPTH_COMPONENT,GL_UNSIGNED_SHORT,pixels);

	GLuint freq[64];
	memset(freq,0,64*sizeof(GLuint));

	for (Uint p=0; p<size; p++)
		freq[ pixels[p]>>10 ]++;

	for (Uint f=0; f<64; f++)
		cout << (freq[f]>0 ? 'x' : ' ');

	cout << endl;

	delete [] pixels;
}

