#include "altGroup.h"

void
_alternatingGroups
(
	const OString &base,
	const bool baseIsOdd,
	vector<OString> &even,
	vector<OString> &odd
)
{
	// If we've seen the base before,
	// return.  Otherwise add it to
	// even or odd vectors.

	if (baseIsOdd)
		if (base!=odd)
			odd.push_back(base);
		else
			return;
	else
		if (base!=even)
			even.push_back(base);
		else
			return;

	for (uint x=0; x<base.size(); x++)
		for (uint y=x+1; y<base.size(); y++)
			_alternatingGroups(base.transposition(x,y),!baseIsOdd,even,odd);
}

void 
alternatingGroups(const ulong n,vector<OString> &even,vector<OString> &odd)
{
	even = odd = vector<OString>();
	_alternatingGroups(OString::permutation(n,0),false,even,odd);
}


