#include <atimer.h>

AcTimer::AcTimer(ostream &os)
: _os(os), _message(NULL)
{
	_start = _end = clock();
}

AcTimer::AcTimer(ostream &os,char *message)
: _os(os), _message(message)
{
	_start = _end = clock();
}

AcTimer::~AcTimer()
{
	clock_t elapsed;

	elapsed = (_end = clock())-_start;
}

float AcTimer::Elapsed() const
{
	return (float) (clock()-_start)/CLOCKS_PER_SEC;
}


