#include <iostream.h>

//
// TEXT2SRC
//
// Text file to C-source conversion utility.
//
// N Stewart, ANCA Pty Ltd, July 1998
//

int main(int argc,char *argv[])
{
	while (1)
	{
		const int bufferSize = 1024;
		char buffer[bufferSize];

		if (!cin.getline(buffer,bufferSize))
			break;
		
		char output[bufferSize*2];
		int p1 = 0,p2 = 0;

		while (buffer[p1]!='\0')
		{
			switch (buffer[p1])
			{
			case '\"':
			case '\\':
				output[p2++] = '\\';
				break;
			}

			output[p2++] = buffer[p1++];
		}

		output[p2] = '\0';

		cout << '\"' << output << "\\n\"" << '\\' << endl;
	}
}