#include <colours.h>

#include <string.h>

GLfloat colourWhite[3] =        { 1.00F, 1.00F, 1.00F };
GLfloat colourBlack[3] =        { 0.00F, 0.00F, 0.00F };
GLfloat colourRed[3] =          { 1.00F, 0.00F, 0.00F };
GLfloat colourGreen[3] =        { 0.00F, 1.00F, 0.00F };
GLfloat colourBlue[3] =         { 0.00F, 0.00F, 1.00F };
GLfloat colourGrey[3] =         { 0.50F, 0.50F, 0.50F };
GLfloat colourOrange[3] =       { 1.00F, 0.65F, 0.00F };
GLfloat colourYellow[3] =       { 1.00F, 1.00F, 0.00F };
GLfloat colourMetallicBlue[3] = { 0.80F, 0.80F, 0.95F };
GLfloat colourOrangeRed[3] =    { 1.00F, 0.25F, 0.00F };
GLfloat colourPink[3] =         { 0.74F, 0.56F, 0.56F };

GLfloat *colour(const char *name)
{
	if (!strcmp(name,"white"))        return colourWhite;
	if (!strcmp(name,"black"))        return colourBlack;
	if (!strcmp(name,"red"))          return colourRed;
	if (!strcmp(name,"green"))        return colourGreen;
	if (!strcmp(name,"blue"))         return colourBlue;
	if (!strcmp(name,"grey"))         return colourGrey;
	if (!strcmp(name,"orange"))       return colourOrange;
	if (!strcmp(name,"yellow"))       return colourYellow;
	if (!strcmp(name,"metallicblue")) return colourMetallicBlue;
	if (!strcmp(name,"orangered"))    return colourOrangeRed;
	if (!strcmp(name,"pink"))         return colourPink;

	return colourWhite;
}


