//
// OpenGL Solid Modelling
//
// Nigel Stewart (nigels@eisa.net.au)
// RMIT Department of Mechanical and Manufacturing Engineering
// 11th December 1997
//

#ifndef GLCURSOR_H
#define GLCURSOR_H

#ifdef WIN32
#include <windows.h>
#endif

#include <GL/gl.h>
#include <iostream.h>

// This module manages a cursor for writing
// text in an OpenGL window.

void glCursorInit();
void glCursorHome();
void glCursorPrint(const char *);
void glCursorPrintNl(const char *);

#endif
