//
// OpenGL Solid Modelling
//
// Nigel Stewart (nigels@eisa.net.au)
// RMIT Department of Mechanical and Manufacturing Engineering
// 11th December 1997
//

#ifndef POINT_H
#define POINT_H

#include <vector3.h>

class Point : public Vector
{
public:

	Point();
	Point(const Vector &,const Vector &);

	Vector &normal();

private:

	Vector _normal;
};

#endif
