//
// OpenGL Solid Modelling
//
// Nigel Stewart (nigels@eisa.net.au)
// RMIT Department of Mechanical and Manufacturing Engineering
// 11th December 1997
//

#ifndef READ3DSB_H
#define READ3DSB_H

#include <iostream.h>
#include <vector.h>

#include <point.h>

typedef struct { unsigned short a,b,c; } TriangleIndex;

void read3DSbinary(istream &is,void (*mesh3DScallback)(vector<Point> &vertex,vector<TriangleIndex> &triangle,char *name) = NULL);

extern ostream *read3DSbinaryDebugStream;
extern int      read3DSbinaryDebugLevel;

#endif

