#ifndef SWEEP_H
#define SWEEP_H

#include <mesh.h>
#include <matrix4.h>
#include <func.h>
#include <vector.h>

#ifdef WIN32
#include <windows.h>
#endif

#include <GL/gl.h>

GLuint Sweep(Func &f,const double radius,const int divisions,const int samples,const GLubyte *color = NULL);
Mesh   *MeshSweep(Func &f,const double radius,const int divisions,const int samples);

vector<Mesh *> MeshSweepConvex(Func &f,const double radius,const int divisions,const int samples);

#endif
