//
// OpenGL Solid Modelling
//
// Nigel Stewart (nigels@eisa.net.au)
// RMIT Department of Mechanical and Manufacturing Engineering
// 11th December 1997
//

#ifndef TIMER_H
#define TIMER_H

#include <stdio.h>
#include <time.h>

class Timer
{
private:
	clock_t	_start,_end;

public:
	Timer();
	~Timer();

	float elapsed() const;

	void start();
};

#endif
