//
// OpenGL Solid Modelling
//
// Nigel Stewart (nigels@eisa.net.au)
// RMIT Department of Mechanical and Manufacturing Engineering
// 11th December 1997
//

#ifndef TRIANGLE_H
#define TRIANGLE_H

#include <point.h>

class Triangle 
{
public:

	Triangle();
	Triangle(Point *a,Point *b,Point *c);

	Point *operator[](int);
	Vector &normal()         { return _normal; }

	void glDraw();
	ostream &writePOV(ostream &os);

private:

	Point *_vertex[3];
	Vector _normal;
};

#endif
